CVE-2002-0004
CVSS7.2
发布时间 :2002-02-27 00:00:00
修订时间 :2016-10-17 22:15:26
NMCOE    

[原文]Heap corruption vulnerability in the "at" program allows local users to execute arbitrary code via a malformed execution time, which causes at to free the same memory twice.


[CNNVD]AT 畸形时间格式导致堆溢出漏洞(CNNVD-200202-012)

        
        /usr/bin/at是一种免费获取使用的开放源代码的软件包,用于定时执行应用程序。许多Unix、Linux操作系统都携带了这种软件包。一般情况下/usr/bin/at都设置了suid root属性。
        at程序存在输入验证漏洞,可能使本地攻击者获取主机的root权限。
        当从命令行接收到某些特殊的时间格式进行处理时,由于错误地对同一内存区域做了两次释放动作,可能导致某些堆区数据被破坏或重写,本地攻击者可能利用这个漏洞获取root权限。
        执行"/usr/bin/at 31337 + vuln",如果你所在系统受此问题影响,将会看到"Segmentation fault",否则应该看到类似信息"Garbled time"(可能带有其他信息)。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:suse:suse_linux:7.0::i386
cpe:/o:debian:debian_linux:2.2::ia-32
cpe:/o:freebsd:freebsd:4.1.1FreeBSD 4.1.1
cpe:/o:redhat:linux:7.1::ia64
cpe:/o:redhat:linux:7.2::ia64
cpe:/o:suse:suse_linux:6.4::i386
cpe:/o:suse:suse_linux:7.3::i386
cpe:/o:slackware:slackware_linux:7.0Slackware Linux 7.0
cpe:/o:suse:suse_linux:7.1::sparc
cpe:/a:caldera:openlinux_workstation:3.1
cpe:/o:suse:suse_linux:7.0::sparc
cpe:/o:suse:suse_linux:7.2::i386
cpe:/o:debian:debian_linux:2.2::sparc
cpe:/o:redhat:linux:7.2::i386
cpe:/o:redhat:linux:7.0::i386
cpe:/o:suse:suse_linux:7.3::sparc
cpe:/o:debian:debian_linux:2.2::68k
cpe:/o:netbsd:netbsd:1.5.2NetBSD 1.5.2
cpe:/a:caldera:openlinux_server:3.1
cpe:/o:redhat:linux:6.2::i386
cpe:/o:redhat:linux:7.1::i386
cpe:/o:debian:debian_linux:2.2::arm
cpe:/o:debian:debian_linux:2.2::powerpc
cpe:/o:suse:suse_linux:7.1::x86
cpe:/o:freebsd:freebsd:4.2FreeBSD 4.2
cpe:/o:suse:suse_linux:7.1::ppc
cpe:/o:freebsd:freebsd:4.3FreeBSD 4.3
cpe:/o:suse:suse_linux:7.0::ppc
cpe:/o:debian:debian_linux:2.2::alpha
cpe:/o:suse:suse_linux:6.4::ppc
cpe:/o:suse:suse_linux:7.3::ppc
cpe:/o:suse:suse_linux:7.0:alphaSuSE SuSE Linux 7.0 alpha
cpe:/o:mandrakesoft:mandrake_linux:8.1::ia64
cpe:/o:mandrakesoft:mandrake_linux:8.1MandrakeSoft Mandrake Linux 8.1
cpe:/o:redhat:linux:6.2::alpha
cpe:/o:redhat:linux:7.1::alpha
cpe:/o:freebsd:freebsd:4.4FreeBSD 4.4
cpe:/o:mandrakesoft:mandrake_linux:8.0MandrakeSoft Mandrake Linux 8.0
cpe:/o:mandrakesoft:mandrake_linux:8.0::ppc
cpe:/o:redhat:linux:7.2::alpha
cpe:/o:suse:suse_linux:6.4:alphaSuSE SuSE Linux 6.4 alpha
cpe:/o:redhat:linux:7.0::alpha
cpe:/o:slackware:slackware_linux:7.1Slackware Linux 7.1
cpe:/o:slackware:slackware_linux:8.0Slackware Linux 8.0
cpe:/o:suse:suse_linux:7.1:alphaSuSE SuSE Linux 7.1 alpha
cpe:/o:redhat:linux:6.2::sparc

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0004
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0004
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200202-012
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=101128661602088&w=2
(UNKNOWN)  BUGTRAQ  20020117 '/usr/bin/at 31337 + vuln' problem + exploit
http://marc.info/?l=bugtraq&m=101147632721031&w=2
(UNKNOWN)  MANDRAKE  MDKSA-2002:007
http://online.securityfocus.com/advisories/3833
(UNKNOWN)  HP  HPSBTL0201-021
http://online.securityfocus.com/advisories/3969
(UNKNOWN)  HP  HPSBTL0302-034
http://www.debian.org/security/2002/dsa-102
(PATCH)  DEBIAN  DSA-102
http://www.novell.com/linux/security/advisories/2002_003_at_txt.html
(UNKNOWN)  SUSE  SuSE-SA:2002:003
http://www.redhat.com/support/errata/RHSA-2002-015.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2002:015
http://www.securityfocus.com/bid/3886
(VENDOR_ADVISORY)  BID  3886
http://xforce.iss.net/xforce/xfdb/7909
(UNKNOWN)  XF  linux-at-exetime-heap-corruption(7909)

- 漏洞信息

AT 畸形时间格式导致堆溢出漏洞
高危 未知
2002-02-27 00:00:00 2005-10-12 00:00:00
本地  
        
        /usr/bin/at是一种免费获取使用的开放源代码的软件包,用于定时执行应用程序。许多Unix、Linux操作系统都携带了这种软件包。一般情况下/usr/bin/at都设置了suid root属性。
        at程序存在输入验证漏洞,可能使本地攻击者获取主机的root权限。
        当从命令行接收到某些特殊的时间格式进行处理时,由于错误地对同一内存区域做了两次释放动作,可能导致某些堆区数据被破坏或重写,本地攻击者可能利用这个漏洞获取root权限。
        执行"/usr/bin/at 31337 + vuln",如果你所在系统受此问题影响,将会看到"Segmentation fault",否则应该看到类似信息"Garbled time"(可能带有其他信息)。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 在漏洞修补之前暂时去掉at程序的suid root位。
        厂商补丁:
        Debian
        ------
        Debian已经为此发布了一个安全公告(DSA-102-1)以及相应补丁:
        DSA-102-1:at daemon exploit
        链接:
        http://www.debian.org/security/2002/dsa-102

        补丁下载:
        Debian GNU/Linux 2.2 alias potato
        - ------------------------------------
         Source archives:
        
        http://security.debian.org/dists/stable/updates/main/source/at_3.1.8-10.1.dsc

        
        http://security.debian.org/dists/stable/updates/main/source/at_3.1.8-10.1.diff.gz

        
        http://security.debian.org/dists/stable/updates/main/source/at_3.1.8.orig.tar.gz

         Alpha architecture:
        
        http://security.debian.org/dists/stable/updates/main/binary-alpha/at_3.1.8-10.1_alpha.deb

         ARM architecture:
        
        http://security.debian.org/dists/stable/updates/main/binary-arm/at_3.1.8-10.1_arm.deb

         Intel ia32 architecture:
        
        http://security.debian.org/dists/stable/updates/main/binary-i386/at_3.1.8-10.1_i386.deb

         Motorola 680x0 architecture:
        
        http://security.debian.org/dists/stable/updates/main/binary-m68k/at_3.1.8-10.1_m68k.deb

         PowerPC architecture:
        
        http://security.debian.org/dists/stable/updates/main/binary-powerpc/at_3.1.8-10.1_powerpc.deb

         Sun Sparc architecture:
        
        http://security.debian.org/dists/stable/updates/main/binary-sparc/at_3.1.8-10.1_sparc.deb

        补丁安装方法:
        1. 手工安装补丁包:
         首先,使用下面的命令来下载补丁软件:
         # wget url (url是补丁下载链接地址)
         然后,使用下面的命令来安装补丁:
         # dpkg -i file.deb (file是相应的补丁名)
        2. 使用apt-get自动安装补丁包:
         首先,使用下面的命令更新内部数据库:
         # apt-get update
        
         然后,使用下面的命令安装更新软件包:
         # apt-get upgrade
        MandrakeSoft
        ------------
        MandrakeSoft已经为此发布了一个安全公告(MDKSA-2002:007)以及相应补丁:
        MDKSA-2002:007:at update
        链接:
        http://www.linux-mandrake.com/en/security/2002/MDKSA-2002-007.php3

        补丁下载:
        ________________________________________________________________________
        Updated Packages:
        Mandrake Linux 8.1:
        066814fda6dfc8f74721861a90c1d167 8.1/RPMS/at-3.1.8-4.1mdk.i586.rpm
        8205596ce7b87d8dca57a6d9285dd1d1 8.1/SRPMS/at-3.1.8-4.1mdk.src.rpm
        Mandrake Linux 8.1/ia64:
        bc46bc259124e1de45063503d8be2940 ia64/8.1/RPMS/at-3.1.8-4.1mdk.ia64.rpm
        8205596ce7b87d8dca57a6d9285dd1d1 ia64/8.1/SRPMS/at-3.1.8-4.1mdk.src.rpm
        ________________________________________________________________________
        上述升级软件可以在下列地址中的任意一个镜像ftp服务器上下载:
        
        http://www.mandrakesecure.net/en/ftp.php

        RedHat
        ------
        RedHat已经为此发布了一个安全公告(RHSA-2002:015-13)以及相应补丁:
        RHSA-2002:015-13:Updated at package available
        链接:https://www.redhat.com/support/errata/RHSA-2002-015.html
        注:RedHat 7.2不受此安全漏洞影响,但是仍存在其他的一些问题,因此RedHat仍然提供了升级程序。
        补丁下载:
        Hat Linux 6.2:
        SRPMS:
        ftp://updates.redhat.com/6.2/en/os/SRPMS/at-3.1.8-22.1.src.rpm
        alpha:
        ftp://updates.redhat.com/6.2/en/os/alpha/at-3.1.8-22.1.alpha.rpm
        i386:
        ftp://updates.redhat.com/6.2/en/os/i386/at-3.1.8-22.1.i386.rpm
        sparc:
        ftp://updates.redhat.com/6.2/en/os/sparc/at-3.1.8-22.1.sparc.rpm
        Red Hat Linux 7.0:
        SRPMS:
        ftp://updates.redhat.com/7.0/en/os/SRPMS/at-3.1.8-23.src.rpm
        alpha:
        ftp://updates.redhat.com/7.0/en/os/alpha/at-3.1.8-23.alpha.rpm
        i386:
        ftp://updates.redhat.com/7.0/en/os/i386/at-3.1.8-23.i386.rpm
        Red Hat Linux 7.1:
        SRPMS:
        ftp://updates.redhat.com/7.1/en/os/SRPMS/at-3.1.8-23.src.rpm
        alpha:
        ftp://updates.redhat.com/7.1/en/os/alpha/at-3.1.8-23.alpha.rpm
        i386:
        ftp://updates.redhat.com/7.1/en/os/i386/at-3.1.8-23.i386.rpm
        ia64:
        ftp://updates.redhat.com/7.1/en/os/ia64/at-3.1.8-23.ia64.rpm
        Red Hat Linux 7.2:
        SRPMS:
        ftp://updates.redhat.com/7.2/en/os/SRPMS/at-3.1.8-23.src.rpm
        i386:
        ftp://updates.redhat.com/7.2/en/os/i386/at-3.1.8-23.i386.rpm
        ia64:
        ftp://updates.redhat.com/7.2/en/os/ia64/at-3.1.8-23.ia64.rpm
        可使用下列命令安装补丁:
        rpm -Fvh [文件名]
        S.u.S.E.
        --------
        S.u.S.E.已经为此发布了一个安全公告(SuSE-SA:2002:003)以及相应补丁:
        SuSE-SA:2002:003:at
        链接:
        http://www.suse.com/de/support/security/2002_003_at_txt.txt

        补丁下载:
         i386 Intel Platform:
         SuSE-7.3
         ftp://ftp.suse.com/pub/suse/i386/update/7.3/ap1/at-3.1.8-459.i386.rpm
         source rpm:
         ftp://ftp.suse.com/pub/suse/i386/update/7.3/zq1/at-3.1.8-459.src.rpm
         SuSE-7.2
         ftp://ftp.suse.com/pub/suse/i386/update/7.2/ap1/at-3.1.8-458.i386.rpm
         source rpm:
         ftp://ftp.suse.com/pub/suse/i386/update/7.2/zq1/at-3.1.8-458.src.rpm
         SuSE-7.1
        

- 漏洞信息 (21229)

AT 3.1.8 Maliciously Formatted Time Heap Overflow Vulnerability (EDBID:21229)
linux local
2002-01-16 Verified
0 SuSE Security
N/A [点击下载]
source: http://www.securityfocus.com/bid/3886/info

at is a freely available, open source scheduler package. It is included with various Unix and Linux operating systems, and maintained by public domain.

Under some circumstances, at does not correctly handle time input. A local user attempting to schedule a task via commandline execution and using a maliciously crafted time format can cause heap corruption in at. As the at program is installed setuid root in most implementations, this could result in the execution of arbitrary code with administrative privileges. 

http://www.exploit-db.com/sploits/21229.tar.gz		

- 漏洞信息

2028
at Malformed Execution Time Local Overflow
Local Access Required Input Manipulation
Loss of Integrity Third-Party Solution
Exploit Public Third-party Verified

- 漏洞描述

- 时间线

2002-01-16 Unknow
2002-01-16 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站